<?php

require_once('./Utility/Utility.php');
require_once('AbstractFactory.php');
require_once('./Object/DataObject.php');
require_once('./Controller/PanelActionFactory.php');
require_once('./Controller/WebActionFactory.php');
require_once('./Controller/AppActionFactory.php');


class FactoryProducer {
	
 private $dtObject;
 private $type; 	


 public static function getFactory(DataObject $dataObject){
  
  	//   Utility::Logger("FactoryProducer Constructor Running");	
	  $factoryType = $dataObject -> getFactoryType();	

	  if($factoryType=="Panel"){

	    $factory =  new PanelActionFactory($dataObject);

	  }
	  else if($factoryType=="Web"){

	    $factory =  new WebActionFactory($dataObject);

	  }
	  else if($factoryType=="App"){

	    $factory =  new AppActionFactory($dataObject);

	  }

	  return $factory;

 }


}






?>